import java.util.*;
import java.io.*;

class TestGenerator {

    static int tn = 0;
    
    private static void writeTest(int n, int a) throws FileNotFoundException {
        tn++;
        PrintWriter out = new PrintWriter("" + (tn / 10) + (tn % 10));
        out.println("" + n + " " + a);
        out.close();
    	System.out.println("" + n + " " + a);
    }
    
    public static void main(String[] args) throws Exception {
        //Sample tests
        writeTest(5, 30);
        writeTest(3, 45);
        writeTest(4, 10);
        writeTest(3, 0);       
        
        Random rnd = new Random(14545313);
        
        //Small random tests
        for (int i = 0; i < 10; i++) {
            writeTest(rnd.nextInt(5) + 1, rnd.nextInt(90));          
        }     
        
        //Big random tests
        for (int i = 0; i < 10; i++) {
        	writeTest(12 - rnd.nextInt(3), rnd.nextInt(90));
        }
        
        //Precision tests
        writeTest(12, 1);        
        writeTest(12, 2);        
        writeTest(12, 3);        
        writeTest(12, 14);        
        writeTest(12, 18);        
        writeTest(12, 26);        
        writeTest(12, 27);        
        writeTest(12, 43);        
        writeTest(12, 44);        
     
        //0 degrees tests
        for (int i = 1; i <= 12; i++) if (i != 3) {
            writeTest(i, 0);       
        }        
        //45 degrees tests
        for (int i = 1; i <= 12; i++) if (i != 3) {
            writeTest(i, 45);       
        }
        
        System.out.println("" + tn + " tests created.");               
    }
}

